<template>
  <QuestionFormBase @save-form="handleAdd" @close-form="handleClose" />
</template>

<script setup lang="ts">
import QuestionFormBase from './QuestionFormBase.vue';
import { addShowTableData } from '@/api/datamanagement/alert-show'

const emits = defineEmits(['close']);

const handleAdd = (formData) => {
  addShowTableData(formData).then(() => {
    emits('close');
  })
};

const handleClose = () => {
  emits('close');
}
</script>

<style scoped></style>